Subject: zeroconf wg actions: mailing list decisions

From: Erik Guttman <[email-masked]>
Date: Mon, 28 Aug 2000 18:33:08 +0200 (MET DST)

The following items were agreed to both on the mailing list and 
at the IETF 48 ZEROCONF WG meeting.

             ***********************************************
             ***********************************************
             ***       For WG mailing list approval      ***
             ***                                         ***
             ***  Expand the ZEROCONF WG charter with    ***
             ***  the following goals:                   ***
             ***                                         ***
             ***  - Submit Autoconf IPv4 (to Prop. Std.) ***
             ***  - Submit MC Addr Allocation Protocol   ***
             ***    (to Prop. Std.)                      ***
             ***                                         ***
             ***********************************************
             ***********************************************

Yes.
There was agreement at WG meeting - no counter argument on list.

             ***********************************************
             ***********************************************
             ***       For WG mailing list approval      ***
             ***                                         ***
             ***  New list of ZEROCONF WG milestones:    ***
             ***                                         ***
             ***  09/00 Submit Zeroconf Reqts to IESG    ***
             ***        (to Informational RFC)           ***
             ***  12/00 Submit Autoconf IPv4             ***
             ***        (to Proposed Standard RFC)       ***
             ***  12/00 Submit MC Addr Allocation        ***
             ***        Protocol                         ***
             ***        (to Proposed Standard RFC)       ***
             ***  03/01 Submit Zeroconf Requirements     ***
             ***        (to Informational RFC)           ***
             ***                                         ***
             ***********************************************
             ***********************************************

Yes.
There was agreement at WG meeting - no counter argument on list.

             ***********************************************
             ***********************************************
             ***       For WG mailing list approval      ***
             ***                                         ***
             ***  Hosts MAY transition to configured     ***
             ***  operation.                             ***
             ***                                         ***
             ***  This change will require a new set     ***
             ***  of requirements to make sure that      ***
             ***  coexistence of zeroconf and non-       ***
             ***  zeroconf configuration will neither    ***
             ***  interfere with existing IP networks    ***
             ***  nor lead to difficulties in the        ***
             ***  implementation and interoperability    ***
             ***  of IP hosts.                           ***
             ***                                         ***
             ***********************************************
             ***********************************************

Yes.
There was agreement at WG meeting - no counter argument on list.

             ***********************************************
             ***********************************************
             ***       For WG mailing list approval      ***
             ***                                         ***
             ***  Change language in the reqts draft     ***
             ***  requiring periodic messages to a       ***
             ***  requirement to detect and correct      ***
             ***  conflicts and state changes in a       ***
             ***  timely way.                            ***
             ***                                         ***
             ***********************************************
             ***********************************************

Yes.
There was agreement at WG meeting - and after some discussion,
agreement on the mailing list.

The definition in draft 03 was:

   A zeroconf protocol requires no user configuration and does not
   rely on information received from a centralized server.
 
   A non-zeroconf protocol requires user configuration or relies on
   information received from a centralized server.

The definition in draft 04 is:

     A zeroconf protocol requires no user configuration.  
    
     A non-zeroconf protocol requires user configuration. 

The definition I propose is:

     A zeroconf protocol requires no a prior configuration.  A host
     obtains all configuration a posteriori, on the basis of
     interactions with other hosts or routers on the network, over
     time.

     A non-zeroconf protocol requires configuration (for instance
     user configuration, configuration burned into hardware,
     configuration obtained from a client-server dynamic configuration
     protocol, etc.)

             ***********************************************
             ***********************************************
             ***       For WG mailing list approval      ***
             ***                                         ***
             ***  Decide on which formulation of the     ***
             ***  definition of a zeroconf protocol.     ***
             ***                                         ***
             ***  Choose version 03, 04 or Erik's.       ***
             ***                                         ***
             ***********************************************
             ***********************************************

The result of much discussion arrived at a consensus very close 
to 03:

  A zeroconf protocol is able to operate correctly in the absence
  of either user configuration or external infrastructure services
  (e.g. conventional DHCP or DNS servers).

It is noted that we need to add text to the document stating that
configuration can certainly be used (MAC addresses, IDs, certificates,
etc.) if they exist.  Zeroconf protocols MUST be able to operate without
these IDs, however.

------------------------------------------------------------------------

Please let me know if anyone disagrees with my reading of the mailing
list discussion.

Erik